/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.client.app.vo;

import java.util.List;

/**
 * @author aliaksandr.melnik
 */
public class AdhocReportRequestObject extends EntityDataRequestObject {
    protected long processId;
    protected boolean printPage;

    public AdhocReportRequestObject() {
    }

    public AdhocReportRequestObject(String formID, List fieldsFilterData,
                                    boolean printPage, boolean doCount,
                                    int page, int pageSize) {
        super(formID, fieldsFilterData, doCount, page, pageSize);
        this.printPage = printPage;
        processId = System.currentTimeMillis();
    }

    public long getProcessId() {
        return processId;
    }

    public boolean isPrintPage() {
        return printPage;
    }

}
